using Demo.Core.Models;
using System.Collections.Generic;

namespace Demo.Data
{
    public interface IPtItemsRepository
    {
        IEnumerable<PtItem> GetAll();
        IEnumerable<PtItem> GetUserItems(int userId);
        IEnumerable<PtItem> GetOpenItems();
        IEnumerable<PtItem> GetClosedItems();
        PtItem GetItemById(int itemId);
    }
}
